=== debian/changelog ===
smiles-scripts (0.2.0+dfsg1-5) unstable; urgency=medium

  * Add newest reference.
  * Adjust to changes in Chemistry::OpenSMILES (Closes: #1042313)

 -- Andrius Merkys <merkys@debian.org>  Thu, 27 Jul 2023 01:42:52 -0400

smiles-scripts (0.2.0+dfsg1-4) unstable; urgency=medium

  * Skip test which will fail with newer libchemistry-opensmiles-perl.
  * Update standards version to 4.6.2, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Fri, 03 Feb 2023 08:51:12 -0500

smiles-scripts (0.2.0+dfsg1-3) unstable; urgency=medium

  * Skip autopkgtest which fail with older libchemistry-opensmiles-perl.

 -- Andrius Merkys <merkys@debian.org>  Mon, 23 Jan 2023 07:01:44 -0500

smiles-scripts (0.2.0+dfsg1-2) unstable; urgency=medium

  * Adjust to changes in Chemistry::OpenSMILES v0.8.4 (Closes: #1026325)
  * Tests depend on liblog4j1.2-java.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 09 Jan 2023 03:30:24 -0500

smiles-scripts (0.2.0+dfsg1-1) unstable; urgency=medium

  * Exclude files moved to Chemistry::OpenSMILES distribution.
  * Bump copyright years.
  * Add signing-key.asc, check upstream OpenPGP signature.
  * Add debian/upstream/metadata.
  * Add patch to adjust to external Chemistry::OpenSMILES.

 -- Andrius Merkys <merkys@debian.org>  Mon, 03 Oct 2022 02:26:48 -0400

smiles-scripts (0.2.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #969375)

 -- Andrius Merkys <merkys@debian.org>  Fri, 28 Aug 2020 05:34:49 -0400
