=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	mkdir jars
	grep '^ ' MANIFEST.txt | sed 's/[\r ]//g' | xargs -i ln -s {} jars
	dh_auto_build -- MODULE_BUILD_PARSE_YAPP= CHEMISTRY_OPENSMILES=

override_dh_auto_test:
	rm tests/cases/cdkcif2smiles_002.*
	rm tests/cases/cdkcif2smiles_003.*
	rm tests/cases/cdkcif2xyz_002.*
	rm tests/cases/cdkcif2xyz_003.*
	rm tests/cases/cdkdepict_001.*
	rm tests/cases/cdkdepict_004.*
	rm tests/cases/cdkdepict_005.*
	rm tests/cases/cdkdepict_006.*
	rm tests/cases/cdkdepict_008.*
	rm tests/cases/cdkdepict_009.*
	rm tests/cases/cdkdepict_010.*
	rm tests/cases/cdkdepict_022.*
	rm tests/cases/cdkdepict_023.*
	rm tests/cases/cdkdepict-cgi_001.*
	rm tests/cases/cdksdf2smiles_005.*
	rm tests/cases/cdksdf2smiles_007.*
	rm tests/cases/cdksdf2smiles_009.*
	rm tests/cases/cdksdf2smiles_010.*
	rm tests/cases/sdf-to-smi_002.*
	dh_auto_test -- MODULE_BUILD_PARSE_YAPP= CHEMISTRY_OPENSMILES=
	find tests/outputs -name '*.diff' -a -size +0 | xargs --no-run-if-empty -i echo FAILED: {}
	find tests/outputs -name '*.diff' -a -size +0 | xargs --no-run-if-empty false # Detect test failures

# 'make install' is not required
override_dh_auto_install:

override_dh_installman:
	help2man bin/cdkcif2sdf    --name 'convert CIF to SDF'        --no-info > cdkcif2sdf.1
	help2man bin/cdkcif2smiles --name 'convert CIF to SMILES'     --no-info > cdkcif2smiles.1
	help2man bin/cdkcif2xyz    --name 'convert CIF to XYZ'        --no-info > cdkcif2xyz.1
	help2man bin/cdkdepict     --name 'draw SVG image for SMILES' --no-info > cdkdepict.1
	help2man bin/cdkrecharge   --name 'adjust charges in SMILES'  --no-info > cdkrecharge.1
	help2man bin/cdksdf2smiles --name 'convert SDF to SMILES'     --no-info > cdksdf2smiles.1
	PERL5LIB=lib/perl5 help2man scripts/smi_canonicalise \
		--name 'canonicalise SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_canonicalise.1
	PERL5LIB=lib/perl5 help2man scripts/smi_isomorphism \
		--name 'detect isomorphism between SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_isomorphism.1
	PERL5LIB=lib/perl5 help2man scripts/sdf-to-smi \
		--name 'convert SDF to SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > sdf-to-smi.1
	dh_installman
