=== debian/watch ===
version=4
opts="repack,repacksuffix=+dfsg1,dversionmangle=auto,pgpmode=auto" \
 https://www.crystallography.net/cod/archives/2022/software/smiles-scripts/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
