## smiles-scripts 0.2.0+svn754+branch+system+deps

=== debian/changelog ===
smiles-scripts (0.2.0+svn754+branch+system+deps-1) unstable; urgency=medium

  * Watch a development branch where system dependencies are used
    (Closes: #1088896)
  * Cleanup Files-Excluded.
  * Drop adjust-to-external-Chemistry-OpenSMILES.patch.

 -- Andrius Merkys <merkys@debian.org>  Fri, 13 Dec 2024 12:00:08 -0500

smiles-scripts (0.2.0+dfsg1-6) unstable; urgency=medium

  * Ignore incompatible tests (Closes: #1072693)

 -- Andrius Merkys <merkys@debian.org>  Tue, 02 Jul 2024 04:16:35 -0400
