=== debian/watch ===
version=4
opts="mode=svn,pgpmode=none,repack,repacksuffix=+branch+system+deps,dversionmangle=s/\+branch\+system\+deps//,uversionmangle=s/^0\.0~/0.2.0+/" \
 svn://www.crystallography.net/smiles-scripts/branches/use-system-dependencies HEAD
