## smiles-scripts 0.3.0%2Bsvn878%2Bbranch%2Bsystem%2Bdeps

=== Makefile ===
--- 
+++ 
@@ -31,12 +31,18 @@
 JFILES   = ${PKG_FILES} ${SRC_FILES}
 CLSFILES = ${JFILES:${SRC_DIR}/%.java=${CLS_DIR}/%.class}
 
+MANIFEST = MANIFEST.txt
+
 JARFILE = jars/smiles-scripts-${VERSION}.jar
 JARLINK = jars/smiles-scripts.jar
 TARGET  = ${JARFILE}
 
 MAIN_JFILES  = ${wildcard ${SRC_DIR}/[a-z]*.java}
 MAIN_CLASSES = ${MAIN_JFILES:${SRC_DIR}/%.java=${CLS_DIR}/%.class}
+
+# From https://stackoverflow.com/questions/2372056/how-to-turn-off-logging-from-slf4j:
+# if needed, 'nop' loads slf4j-nop.jar which is a no-operation logger
+SLF4J_LOGGER = simple
 
 JUNIT_DIR     = tests/junit
 JUNIT_SRC_DIR = ${JUNIT_DIR}/src
@@ -44,17 +50,13 @@
 JUNIT_FILES  := $(shell find ${JUNIT_DIR} -name '*.java')
 JUNIT_CLASSES = ${JUNIT_FILES:${JUNIT_SRC_DIR}/%.java=${JUNIT_CLS_DIR}/%.class}
 
-CDK_PATHS = $(shell find jars/ -name \*.jar | tr "\n" ":")
-
-BUILD_CLASSPATH = ${CLS_DIR}:${CDK_PATHS}${CLASSPATH}
-
 CLASSPATH := ${JARFILE}${CLASSPATH}
 
 export CLASSPATH
 
-JUNIT_CLASSPATH = ${CLASSPATH}
-
-PATH := bin:scripts:externals/mkdepend:${PATH}
+JUNIT_CLASSPATH = ${CLASSPATH}:/usr/share/java/junit4.jar
+
+PATH := bin:scripts:${PATH}
 
 export PATH
 
@@ -112,10 +114,10 @@
 	javac ${JFLAGS} -cp ${JUNIT_CLASSPATH} -d ${JUNIT_CLS_DIR} $<
 
 ${CLS_DIR}/%.class: ${SRC_DIR}/%.java
-	javac ${JFLAGS} -cp ${BUILD_CLASSPATH} -d ${CLS_DIR} $<
-
-${JARFILE}: ${CLSFILES}
-	jar cfm $@ MANIFEST.txt -C ${CLS_DIR} .
+	javac ${JFLAGS} -cp ${CLS_DIR}:${CLASSPATH}:$$(grep '^ ' MANIFEST.txt | xargs | tr ' ' :) -d ${CLS_DIR} $<
+
+${JARFILE}: ${MANIFEST} ${CLSFILES}
+	jar cfm $@ ${MANIFEST} -C ${CLS_DIR} .
 	ln -sf $(@F) ${JARLINK}
 
 SMILES = --smiles c1ccccc1
@@ -133,6 +135,28 @@
 		set -x; \
 		java $${CLASS} ${SMILES} \
 	) done
+
+#------------------------------------------------------------------------------
+
+${MANIFEST}:
+	echo 'Manifest-Version: 1.0\r' > $@
+	echo 'Created-By: 1.8.0_151 (Oracle Corporation)\r' >> $@
+	echo 'Class-Path: \r' >> $@
+	find /usr/share/java -name 'cdk-*.jar' | grep -P 'cdk-[^-]+\.jar' | sort | xargs -i echo -e ' '{}' \r' >> $@
+	find /usr/share/java -name 'freehep-graphicsio-*.jar' | grep -P 'freehep-graphicsio-[^-0-9]+\.jar' | sort | xargs -i echo -e ' '{}' \r' >> $@
+	echo ' /usr/share/java/beam-core.jar \r' >> $@
+	echo ' /usr/share/java/soptions.jar \r' >> $@
+	echo ' /usr/share/java/freehep-graphics2d.jar \r' >> $@
+	echo ' /usr/share/java/freehep-graphicsbase.jar \r' >> $@
+	echo ' /usr/share/java/freehep-graphicsio.jar \r' >> $@
+	echo ' /usr/share/java/guava.jar \r' >> $@
+	echo ' /usr/share/java/jna.jar \r' >> $@
+	echo ' /usr/share/java/jna-inchi-api.jar \r' >> $@
+	echo ' /usr/share/java/log4j-1.2.jar \r' >> $@
+	echo ' /usr/share/java/slf4j-api.jar \r' >> $@
+	echo ' /usr/share/java/slf4j-$(SLF4J_LOGGER).jar \r' >> $@
+	echo ' /usr/share/java/soptions.jar \r' >> $@
+	echo ' /usr/share/java/vecmath.jar \r' >> $@
 
 #------------------------------------------------------------------------------
 
@@ -293,13 +317,11 @@
 clean:
 	rm -f ${DIFF_FILES}
 	rm -f ${JUNIT_LOGS}
-	rm -f  externals/*/Build externals/*/MYMETA.* externals/[A-Z]*/Makefile externals/*/pm_to_blib
-	rm -rf externals/*/_build
 
 cleanAll distclean: clean
 	rm -f ${CLSFILES}
+	rm -f ${MANIFEST}
 	rm -f ${JARFILE} ${JARLINK}
 	rm -f ${JUNIT_CLASSES}
 	rm -f .depend
 	rm -rf ${JUNIT_CLS_DIR}/* ${CLS_DIR}/* ${JUNIT_LOG_DIR}/*
-	rm -rf externals/*/blib
