=== debian/changelog ===
smiles-scripts (0.3.0+svn878+branch+system+deps-2) unstable; urgency=medium

  * Backport an upstream fix to mitigate a usability bug.

 -- Andrius Merkys <merkys@debian.org>  Wed, 12 Mar 2025 04:51:31 -0400

smiles-scripts (0.3.0+svn878+branch+system+deps-1) unstable; urgency=medium

  * New upstream release.
  * Skip failing tests (Closes: #1093359)

 -- Andrius Merkys <merkys@debian.org>  Wed, 05 Mar 2025 03:46:18 -0500
