=== debian/control ===
Source: smiles-scripts
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 help2man,
 libalgorithm-combinatorics-perl <!nocheck>,
 libcdk-java,
 libcgi-pm-perl <!nocheck>,
 libchemistry-file-mdlmol-perl <!nocheck>,
 libchemistry-mol-perl <!nocheck>,
 libchemistry-opensmiles-perl <!nocheck>,
 libclone-perl <!nocheck>,
 libfreehep-graphics2d-java <!nocheck>,
 libfreehep-graphicsbase-java <!nocheck>,
 libfreehep-graphicsio-java <!nocheck>,
 libfreehep-graphicsio-pdf-java <!nocheck>,
 libfreehep-graphicsio-ps-java <!nocheck>,
 libfreehep-graphicsio-svg-java <!nocheck>,
 libgetopt-long-descriptive-perl,
 libgraph-nauty-perl <!nocheck>,
 libipc-run-perl <!nocheck>,
 liblog4j1.2-java <!nocheck>,
 libmath-matrixreal-perl <!nocheck>,
 libopsin-java <!nocheck>,
 libsoptions-java,
 liburl-encode-perl <!nocheck>,
 libvecmath-java,
 libxml-libxml-perl <!nocheck>,
 mkdepend,
 subversion,
Standards-Version: 4.6.2
Homepage: https://projects.ibt.lt/repositories/projects/smiles-scripts
Vcs-Browser: https://salsa.debian.org/debichem-team/smiles-scripts
Vcs-Git: https://salsa.debian.org/debichem-team/smiles-scripts.git
Rules-Requires-Root: no

Package: libsmiles-scripts-java
Architecture: all
Depends:
 libbeam-java,
 libcdk-java,
 libfreehep-graphics2d-java,
 libfreehep-graphicsbase-java,
 libfreehep-graphicsio-java,
 libfreehep-graphicsio-pdf-java,
 libfreehep-graphicsio-ps-java,
 libfreehep-graphicsio-svg-java,
 libguava-java,
 libsoptions-java,
 ${misc:Depends},
Description: command line tools to handle SMILES descriptors - Java libraries
 Package contains dependencies (Java libraries) for smiles-scripts.

Package: libsmiles-scripts-perl
Architecture: all
Depends:
 libchemistry-opensmiles-perl,
 libgraph-perl,
 libmath-matrixreal-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: command line tools to handle SMILES descriptors - Perl libraries
 Package contains dependencies (Perl libraries) for smiles-scripts.

Package: smiles-scripts
Architecture: all
Depends:
 libalgorithm-combinatorics-perl,
 libchemistry-file-mdlmol-perl,
 libchemistry-mol-perl,
 libchemistry-opensmiles-perl,
 libclone-perl,
 libgetopt-long-descriptive-perl,
 libgraph-nauty-perl,
 libsmiles-scripts-java,
 libsmiles-scripts-perl,
 libxml-libxml-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: command line tools to handle SMILES descriptors
 Package provides command line tools to work with Simplified Molecular-Input
 Line-Entry System (SMILES) descriptors. Package contains command line interface
 scripts for Chemistry Development Kit (CDK), as well as a syntax checker for
 SMILES.
