## smiles-scripts 0.3.0+svn878+branch+system+deps

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

execute_before_dh_auto_build:
	$(MAKE) MANIFEST.txt SLF4J_LOGGER=nop
	echo ' /usr/share/java/smiles-scripts.jar \r' >> MANIFEST.txt

override_dh_auto_test:
	dh_auto_test -- tests
	cat debian/failing-tests | xargs rm
	find tests/outputs -name '*.diff' -a -size +0 | xargs --no-run-if-empty -i echo FAILED: {}
	find tests/outputs -name '*.diff' -a -size +0 | xargs --no-run-if-empty false # Detect test failures

# 'make install' is not required
override_dh_auto_install:

execute_before_dh_installman:
	help2man bin/cdkcif2sdf    --name 'convert CIF to SDF'        --no-info > cdkcif2sdf.1
	help2man bin/cdkcif2smiles --name 'convert CIF to SMILES'     --no-info > cdkcif2smiles.1
	help2man bin/cdkcif2xyz    --name 'convert CIF to XYZ'        --no-info > cdkcif2xyz.1
	help2man bin/cdkdepict     --name 'draw SVG image for SMILES' --no-info > cdkdepict.1
	help2man bin/cdkrecharge   --name 'adjust charges in SMILES'  --no-info > cdkrecharge.1
	help2man bin/cdksdf2smiles --name 'convert SDF to SMILES'     --no-info > cdksdf2smiles.1
	PERL5LIB=lib/perl5 help2man scripts/smi_canonicalise \
		--name 'canonicalise SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_canonicalise.1
	PERL5LIB=lib/perl5 help2man scripts/smi_isomorphism \
		--name 'detect isomorphism between SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_isomorphism.1
	PERL5LIB=lib/perl5 help2man scripts/sdf-to-smi \
		--name 'convert SDF to SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > sdf-to-smi.1
