=== debian/tests/control ===
Tests: upstream
Depends:
 libcgi-pm-perl,
 libipc-run-perl,
 libopsin-java,
 liburl-encode-perl,
 mkdepend,
 moreutils,
 @,
Restrictions:
 allow-stderr,
 rw-build-tree,
