## smiles-scripts 0.4.0+dfsg

=== debian/changelog ===
smiles-scripts (0.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1106828)
  * Review patches.
  * Use debian/classpath instead of patched MANIFEST.txt.
  * Update the list of silenced tests.

 -- Andrius Merkys <merkys@debian.org>  Fri, 16 Jan 2026 05:11:23 -0500
