=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  debhelper-compat (= 13),
  default-jdk,
  help2man,
- libalgorithm-combinatorics-perl <!nocheck>,
  libcdk-java,
  libcgi-pm-perl <!nocheck>,
  libchemistry-file-mdlmol-perl <!nocheck>,
@@ -22,14 +21,15 @@
  libfreehep-graphicsio-ps-java <!nocheck>,
  libfreehep-graphicsio-svg-java <!nocheck>,
  libgetopt-long-descriptive-perl,
+ libgraph-moreutils-perl <!nocheck>,
  libgraph-nauty-perl <!nocheck>,
  libipc-run-perl <!nocheck>,
+ libjna-inchi-java,
  liblog4j1.2-java <!nocheck>,
  libmath-matrixreal-perl <!nocheck>,
  libopsin-java <!nocheck>,
  libsoptions-java,
  liburl-encode-perl <!nocheck>,
- libvecmath-java,
  libxml-libxml-perl <!nocheck>,
  mkdepend,
  subversion,
@@ -51,6 +51,7 @@
  libfreehep-graphicsio-ps-java,
  libfreehep-graphicsio-svg-java,
  libguava-java,
+ libopsin-java,
  libsoptions-java,
  ${misc:Depends},
 Description: command line tools to handle SMILES descriptors - Java libraries
@@ -60,6 +61,7 @@
 Architecture: all
 Depends:
  libchemistry-opensmiles-perl,
+ libgraph-moreutils-perl,
  libgraph-perl,
  libmath-matrixreal-perl,
  ${misc:Depends},
@@ -70,12 +72,12 @@
 Package: smiles-scripts
 Architecture: all
 Depends:
- libalgorithm-combinatorics-perl,
  libchemistry-file-mdlmol-perl,
  libchemistry-mol-perl,
  libchemistry-opensmiles-perl,
  libclone-perl,
  libgetopt-long-descriptive-perl,
+ libgraph-moreutils-perl,
  libgraph-nauty-perl,
  libsmiles-scripts-java,
  libsmiles-scripts-perl,
