=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

execute_before_dh_auto_build:
	cp MANIFEST.txt MANIFEST.txt.bak
	head -n 2 MANIFEST.txt.bak > MANIFEST.txt
	echo "Class-Path: \r" >> MANIFEST.txt
	awk '{ print " " $$_ " \r" }' debian/classpath >> MANIFEST.txt
	mkdir jars
	grep '^ ' MANIFEST.txt | sed 's/[\r ]//g' | xargs -i ln -s {} jars

override_dh_auto_build:
	dh_auto_build -- MODULE_BUILD_PARSE_YAPP= CHEMISTRY_OPENSMILES= MAKEFILE_PL_FILES= BUILD_PL_FILES=

override_dh_auto_test:
	cat debian/failing-tests | xargs --no-run-if-empty rm -f
	dh_auto_test -- MODULE_BUILD_PARSE_YAPP= CHEMISTRY_OPENSMILES= MAKEFILE_PL_FILES= BUILD_PL_FILES=
	find tests/outputs -name '*.diff' -a -size +0 | xargs --no-run-if-empty -i echo FAILED: {} | sort
	find tests/outputs -name '*.diff' -a -size +0 | xargs --no-run-if-empty false # Detect test failures

# 'make install' is not required
override_dh_auto_install:

override_dh_installman:
	help2man bin/cdkcif2sdf    --name 'convert CIF to SDF'        --no-info > cdkcif2sdf.1
	help2man bin/cdkcif2smiles --name 'convert CIF to SMILES'     --no-info > cdkcif2smiles.1
	help2man bin/cdkcif2xyz    --name 'convert CIF to XYZ'        --no-info > cdkcif2xyz.1
	help2man bin/cdkdepict     --name 'draw SVG image for SMILES' --no-info > cdkdepict.1
	help2man bin/cdkrecharge   --name 'adjust charges in SMILES'  --no-info > cdkrecharge.1
	help2man bin/cdksdf2inchi  --name 'convert SDF to InChI'      --no-info > cdksdf2inchi.1
	help2man bin/cdksdf2smiles --name 'convert SDF to SMILES'     --no-info > cdksdf2smiles.1
	PERL5LIB=lib/perl5 help2man scripts/cml-to-smi \
		--name 'convert CML to SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > cml-to-smi.1
	PERL5LIB=lib/perl5 help2man scripts/smi_canonicalise \
		--name 'canonicalise SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_canonicalise.1
	PERL5LIB=lib/perl5 help2man scripts/smi_check \
		--name 'warn about unusual features in SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_check.1
	PERL5LIB=lib/perl5 help2man scripts/smi_check_racemate \
		--name 'output chirality status for SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_check_racemate.1
	PERL5LIB=lib/perl5 help2man scripts/smi_chemical_formula \
		--name 'compute chemical formula from SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_chemical_formula.1
	PERL5LIB=lib/perl5 help2man scripts/smi_isomorphism \
		--name 'detect isomorphism between SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_isomorphism.1
	PERL5LIB=lib/perl5 help2man scripts/sdf-to-smi \
		--name 'convert SDF to SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > sdf-to-smi.1
	dh_installman

execute_before_dh_auto_clean:
	test -e MANIFEST.txt.bak && mv MANIFEST.txt.bak MANIFEST.txt || true

execute_before_dh_clean:
	rm -rf jars
