=== debian/watch ===
version=4
opts="repack,repacksuffix=+dfsg,dversionmangle=auto,pgpmode=auto" \
 https://www.crystallography.net/cod/archives/2026/software/smiles-scripts/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
